[arch-commits] Commit in flatpak/repos/extra-x86_64 (4 files)
Jan Steffens
heftig at archlinux.org
Fri Nov 24 16:05:05 UTC 2017
Date: Friday, November 24, 2017 @ 16:05:04
Author: heftig
Revision: 310817
archrelease: copy trunk to extra-x86_64
Added:
flatpak/repos/extra-x86_64/PKGBUILD
(from rev 310816, flatpak/trunk/PKGBUILD)
flatpak/repos/extra-x86_64/flatpak.install
(from rev 310816, flatpak/trunk/flatpak.install)
Deleted:
flatpak/repos/extra-x86_64/PKGBUILD
flatpak/repos/extra-x86_64/flatpak.install
-----------------+
PKGBUILD | 158 +++++++++++++++++++++++++++---------------------------
flatpak.install | 22 +++----
2 files changed, 90 insertions(+), 90 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2017-11-24 16:04:27 UTC (rev 310816)
+++ PKGBUILD 2017-11-24 16:05:04 UTC (rev 310817)
@@ -1,79 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak
-pkgver=0.10.0
-pkgrel=1
-pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
-url="http://flatpak.org"
-arch=(i686 x86_64)
-license=(LGPL2.1)
-depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
- python bubblewrap)
-makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
-checkdepends=(valgrind)
-install=flatpak.install
-_commit=2a0c17976fadf65badc3d18df565a7f04e7089b0 # tags/0.10.0^0
-source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
- "git+https://github.com/projectatomic/bubblewrap"
- "git+https://git.gnome.org/browse/libglnx")
-sha256sums=('SKIP'
- 'SKIP'
- 'SKIP')
-
-prepare() {
- cd $pkgname
-
- git submodule init
- git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
- git config --local submodule.libglnx.url "$srcdir/libglnx"
- git submodule update
-
- # https://github.com/flatpak/flatpak/issues/267
- sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
- NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
- cd $pkgname
- git describe --tags | sed 's/-/+/g'
-}
-
-build() {
- cd $pkgname
-
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --sbindir=/usr/bin \
- --libexecdir=/usr/lib/$pkgname \
- --disable-static \
- --enable-gtk-doc \
- --enable-p2p \
- --with-system-bubblewrap \
- --with-priv-mode=setuid \
- --with-dbus-config-dir=/usr/share/dbus-1/system.d
-
- sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
- make
-}
-
-check() {
- cd $pkgname
- # Xattr tests fail on tmpfs
- make -k check || :
-}
-
-package() {
- depends+=(xdg-desktop-portal)
-
- cd $pkgname
-
- make DESTDIR="$pkgdir" install
-
- # Fixup mode to match polkit
- install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
-}
Copied: flatpak/repos/extra-x86_64/PKGBUILD (from rev 310816, flatpak/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2017-11-24 16:05:04 UTC (rev 310817)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak
+pkgver=0.10.1
+pkgrel=1
+pkgdesc="Linux application sandboxing and distribution framework (formerly xdg-app)"
+url="http://flatpak.org"
+arch=(x86_64)
+license=(LGPL2.1)
+depends=(dbus systemd glib2 libsoup polkit libxau ostree fuse json-glib libseccomp libarchive
+ python bubblewrap appstream-glib)
+makedepends=(intltool gobject-introspection gtk-doc git docbook-xsl xmlto)
+checkdepends=(valgrind)
+install=flatpak.install
+_commit=8fbd442c9d395ca19561c98e20a7451926c440ab # tags/0.10.1^0
+source=("git+https://github.com/flatpak/flatpak#commit=$_commit"
+ "git+https://github.com/projectatomic/bubblewrap"
+ "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+ 'SKIP'
+ 'SKIP')
+
+prepare() {
+ cd $pkgname
+
+ git submodule init
+ git config --local submodule.bubblewrap.url "$srcdir/bubblewrap"
+ git config --local submodule.libglnx.url "$srcdir/libglnx"
+ git submodule update
+
+ # https://github.com/flatpak/flatpak/issues/267
+ sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+ cd $pkgname
+
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/$pkgname \
+ --disable-static \
+ --enable-gtk-doc \
+ --enable-p2p \
+ --with-system-bubblewrap \
+ --with-priv-mode=setuid \
+ --with-dbus-config-dir=/usr/share/dbus-1/system.d
+
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ # Xattr tests fail on tmpfs
+ make -k check || :
+}
+
+package() {
+ depends+=(xdg-desktop-portal)
+
+ cd $pkgname
+
+ make DESTDIR="$pkgdir" install
+
+ # Fixup mode to match polkit
+ install -d -o root -g 102 -m 750 "$pkgdir/usr/share/polkit-1/rules.d"
+}
Deleted: flatpak.install
===================================================================
--- flatpak.install 2017-11-24 16:04:27 UTC (rev 310816)
+++ flatpak.install 2017-11-24 16:05:04 UTC (rev 310817)
@@ -1,11 +0,0 @@
-post_install() {
- post_upgrade $1 0
-}
-
-post_upgrade() {
- if (( $(vercmp $2 0.6.1-3) < 0 )); then
- # Generate initial /var/lib/flatpak/repo; must be present
- # before non-root flatpak will try polkit auth
- flatpak remote-list
- fi
-}
Copied: flatpak/repos/extra-x86_64/flatpak.install (from rev 310816, flatpak/trunk/flatpak.install)
===================================================================
--- flatpak.install (rev 0)
+++ flatpak.install 2017-11-24 16:05:04 UTC (rev 310817)
@@ -0,0 +1,11 @@
+post_install() {
+ post_upgrade $1 0
+}
+
+post_upgrade() {
+ if (( $(vercmp $2 0.6.1-3) < 0 )); then
+ # Generate initial /var/lib/flatpak/repo; must be present
+ # before non-root flatpak will try polkit auth
+ flatpak remote-list
+ fi
+}
More information about the arch-commits
mailing list